REM @echo off
call "%CROSSWORLDS%"\bin\CWConnEnv
REM set the directory where the specific connector resides
set CONNDIR="%CROSSWORLDS%"\connectors\%1

REM goto the connector specific drive & directory
cd /d %CONNDIR%

REM set the name to be the application connector that is starting
set CONNAME=%1
set CONNPACKAGENAME=com.crossworlds.connectors.JDBC.JDBCConnectorAgent

REM set the server name to be the interchange that is being targeted
set SERVER=%2

REM Set Connector JAR Name
set CONNJAR=CW%CONNAME%.jar

if exist %CONNDIR%\BIA_%CONNAME%.jar set CONNJAR=BIA_%CONNAME%.jar


REM SET JDBCDRIVERPATH=
set DATADIRECT="%CROSSWORLDS%"\lib\xwutil.jar;"%CROSSWORLDS%"\lib\xwbase.jar;"%CROSSWORLDS%"\lib\xwsqlserver.jar;"%CROSSWORLDS%"\lib\spy\lib\spy.jar;"%CROSSWORLDS%"\lib\xworacle.jar

set JCLASSES=%JCLASSES%;%JDBCDRIVERPATH%;%DATADIRECT%

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

REM start the Java connector under the Java Application End

REM -Dbea.home=%CROSSWORLDS% has been removed as it is no longer required
%CWJAVA% -mx128m -ms64m -Djava.ext.dirs="%MQ_LIB%";%JRE_EXT_DIRS% -Djava.library.path="%CROSSWORLDS%"\bin;%CONNDIR%;"%MQ_LIB%";%JRE_EXT_DIRS% %ORB_PROPERTY% -Duser.home="%CROSSWORLDS%" -cp %JCLASSES%;%CONNDIR%\%CONNJAR%; AppEndWrapper -l%CONNPACKAGENAME% -n%CONNAME%Connector -s%SERVER%  %3 %4 %5

endlocal

pause
